import request from '@/utils/request'

// 查询客户回访记录列表
export function listCustomerVisit(query) {
  return request({
    url: '/store/store/customerVisit/list',
    method: 'get',
    params: query
  })
}

// 查询客户回访记录详情
export function getCustomerVisit(id) {
  return request({
    url: '/store/store/customerVisit/' + id,
    method: 'get'
  })
}

// 新增客户回访记录
export function addCustomerVisit(data) {
  return request({
    url: '/store/store/customerVisit',
    method: 'post',
    data: data
  })
}

// 修改客户回访记录
export function updateCustomerVisit(data) {
  return request({
    url: '/store/store/customerVisit',
    method: 'put',
    data: data
  })
}

// 删除客户回访记录
export function delCustomerVisit(ids) {
  return request({
    url: '/store/store/customerVisit/' + ids,
    method: 'delete'
  })
}

// 关闭弹窗提醒（批量标记为已提醒）
export function closeRemind(ids) {
  return request({
    url: '/store/store/customerVisit/closeRemind',
    method: 'put',
    data: ids
  })
}
